{% extends 'base_admin.html.twig' %}
{% block title %}Gestion des abonnement administrateur{% endblock %}
{% block body %} 
    <section id="information-personnel-edit" class="container-fluid">
		<section class="container">
			<header class="row">
                <div class="col-12">
                    <h1 class="service">Gestion des abonnements</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12">  
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Prénom</th>
                                <th>Nom</th> 
                                <th>Abonnement</th> 
                                <th>Statut</th>                                                             
                                <th>Actions</th>                
                            </tr>
                        </thead>
                        <tbody>
                        {% for user in users %}
                            <tr>
                                <td data-label="Id">{{ user.id }}</td>                 
                                <td data-label="Prénom">{{ user.firstname }}</td>
                                <td data-label="Nom">{{ user.lastname }}</td>
                                <td data-label="Abonnement">{{ user.subscription }}</td>
                                <td data-label="Statut abonnement">{{ user.subscriptionstatus }}</td>                         
                                <td data-label="Actions">                   
                                    <a href="{{ path('subscription_validation', {'id': user.id , 'status':'validé'}) }}">Validation</a>
                                    <a href="{{ path('subscription_validation', {'id': user.id , 'status':'Clôturé'}) }}">Clôture</a>
                                </td>              
                            </tr>
                            {% else %}
                            <tr>
                                <td colspan="5">pas d'enregistrement</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </section>        
{% endblock %}
{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  
